### 2.17.3 Maximum and minimum of an expression: `fMax fMin`

`fMax` and `fMin` take one or two arguments : an expression of a variable and the name of this variable (by default `x`).
`fMax` returns the abscissa of a maximum of the expression.
`fMin` returns the abscissa of a minimum of the expression.
Input :

`fMax(sin(x),x)`

Or :

`fMax(sin(x))`

Or :

`fMax(sin(y),y)`

Output :

`pi/2`

Input :

`fMin(sin(x),x)`

Or :

`fMin(sin(x))`

Or :

`fMin(sin(y),y)`

Output :

`-pi/2`

Input :

`fMin(sin(x)```^```2,x)`

Output :

`0`